Extending Qt Creator Manual | SelectableFilesDialogAddDirectory

Extending Qt Creator Manual 4.5.2

# SelectableFilesDialogAddDirectory Class

(ProjectExplorer::SelectableFilesDialogAddDirectory)

Inherits: | ProjectExplorer::SelectableFilesDialogEditFiles

- List of all members, including inherited members

## Public Functions

| SelectableFilesDialogAddDirectory(const Utils::FileName &path, const Utils::FileNameList &files, QWidget *parent)
void | setAddFileFilter(const QString &filter)

- 2 public functions inherited from ProjectExplorer::SelectableFilesDialogEditFiles

## Member Function Documentation

### SelectableFilesDialogAddDirectory::SelectableFilesDialogAddDirectory(const Utils::FileName &path, const Utils::FileNameList &files, QWidget *parent)

Default constructs an instance of SelectableFilesDialogAddDirectory.

### void SelectableFilesDialogAddDirectory::setAddFileFilter(const QString &filter)